<?php 
include('./config/db.php');
//$clienteId=(isset($_GET['clienteId']))?$_GET['clienteId']:"";
//$instalacion=(isset($_GET['instalacion']))?$_GET['instalacion']:"";

$clienteId=(isset($_POST['clienteId']))?$_POST['clienteId']:"";
$instalacion=(isset($_POST['instalacion']))?$_POST['instalacion']:"";
$arrayseleccion=explode("-", $instalacion);

//print_r($arrayseleccion);
    try{
        $sql=$conexion->prepare("SELECT id, nombre FROM instalacion WHERE clienteId in (:clienteId) and activo=1;");
        $sql->bindParam(":clienteId",$clienteId);
        $sql->execute();
        $listaInstalacion = $sql->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
        $cadena="<select required multiple id='selInstalacion' name='selInstalacion[]' class='form-select'>"; //
        //$cadena=$cadena.'<option value=>Seleccione</option>';
        $selected="";
        /*foreach($listaInstalacion as $ins){
            if($valor==$ins['id']) { 
                $cadena=$cadena.'<option selected value='.$ins['id'].'>'.$ins['nombre'].'</option>';
            }else{
                $cadena=$cadena.'<option  value='.$ins['id'].'>'.$ins['nombre'].'</option>';
            }
        }*/
        foreach($listaInstalacion as $ins){
            $selected = in_array($ins['id'], $arrayseleccion) ? 'selected' : ''; 
            $cadena=$cadena.'<option '.$selected.' value='.$ins['id'].'>'.$ins['nombre'].'</option>';
        }
        echo  $cadena."</select>";
    }catch (Exception $err) {
        echo ("Ha ocurrido un error en la solicitud. ");  
        throw $err;
    }
?>